
/*  © Copyright CERN, 2015. All rights not expressly granted are reserved.

    The stub of this file was generated by quasar (https://github.com/quasar-team/quasar/)

    Quasar is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public Licence as published by
    the Free Software Foundation, either version 3 of the Licence.
    Quasar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public Licence for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Quasar.  If not, see <http://www.gnu.org/licenses/>.

    
 */


#ifndef __DLArLevelMeter__H__
#define __DLArLevelMeter__H__

#include <Base_DLArLevelMeter.h>

#include <larLevelDaqLib.h>

namespace Device
{
  class DLArLevelMeter:public Base_DLArLevelMeter
  {

  public:
    /* sample constructor */
    explicit DLArLevelMeter (const Configuration::LArLevelMeter & config,
			     Parent_DLArLevelMeter * parent);
    /* sample dtr */
     ~DLArLevelMeter ();

    /* delegators for
       cachevariables and sourcevariables */


    /* delegators for methods */

  private:
    /* Delete copy constructor and assignment operator */
      DLArLevelMeter (const DLArLevelMeter & other);
      DLArLevelMeter & operator= (const DLArLevelMeter & other);

    // ----------------------------------------------------------------------- *
    // -     CUSTOM CODE STARTS BELOW THIS COMMENT.                            *
    // -     Don't change this comment, otherwise merge tool may be troubled.  *
    // ----------------------------------------------------------------------- *

  public:
      void update();

  private:
      larLevelDaqLib *lar_level;


  };

}

#endif // ----------------------------------------------------------------------- *
  __DLArLevelMeter__H__
